package com.mdd.admin.vo.setting;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("热门搜索对象Vo")
public class SettingSearchObjectVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("关键词")
   private String name;
   @ApiModelProperty("排序")
   private Integer sort;

   public String getName() {
      return this.name;
   }

   public Integer getSort() {
      return this.sort;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setSort(Integer sort) {
      this.sort = sort;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SettingSearchObjectVo)) {
         return false;
      } else {
         SettingSearchObjectVo other = (SettingSearchObjectVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$sort = this.getSort();
            Object other$sort = other.getSort();
            if (this$sort == null) {
               if (other$sort != null) {
                  return false;
               }
            } else if (!this$sort.equals(other$sort)) {
               return false;
            }

            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SettingSearchObjectVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $sort = this.getSort();
      result = result * 59 + ($sort == null ? 43 : $sort.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      return result;
   }

   public String toString() {
      return "SettingSearchObjectVo(name=" + this.getName() + ", sort=" + this.getSort() + ")";
   }
}
